--[[
   Ingots - allows the placemant of ingots in the world
   Copyright (C) 2018  Skamiz Kazzarch

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
]]--

ingots = {}

local conf = dofile(minetest.get_modpath("ingots").."/conf.lua")
dofile(minetest.get_modpath("ingots").."/api.lua")

--Here you can make individual choices per ingot on which varian will be used.
--To disable the ability of an ingot to be placed just comment out it's registration line.

ingots.register_ingots("default:copper_ingot", "ingot_copper.png", true)
ingots.register_ingots("default:tin_ingot", "ingot_tin.png", true)
ingots.register_ingots("default:bronze_ingot", "ingot_bronze.png", true)
ingots.register_ingots("default:steel_ingot", "ingot_steel.png", true)
ingots.register_ingots("default:gold_ingot", "ingot_gold.png", true)
ingots.register_ingots('morelights_vintage:brass_ingot', 'ingot_brass.png', true)
ingots.register_ingots('epic:titanium_ingot', 'ingot_titanium.png', true)
